Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

API/Repository/Values/Content/Query/Criterion/Location/Priority.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location;
8
9 use eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location;
10 use eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator;
11 use eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications;
12
21 class Priority extends Location
22 {
29 public function __construct($operator, $value)
30 {
31 parent::__construct(null, $operator, $value);
32 }
33
34 public function getSpecifications()
35 {
36 return [
37 new Specifications(Operator::BETWEEN, Specifications::FORMAT_ARRAY, Specifications::TYPE_INTEGER),
38 new Specifications(Operator::GT, Specifications::FORMAT_SINGLE, Specifications::TYPE_INTEGER),
39 new Specifications(Operator::GTE, Specifications::FORMAT_SINGLE, Specifications::TYPE_INTEGER),
40 new Specifications(Operator::LT, Specifications::FORMAT_SINGLE, Specifications::TYPE_INTEGER),
41 new Specifications(Operator::LTE, Specifications::FORMAT_SINGLE, Specifications::TYPE_INTEGER),
42 ];
43 }
44
48 public static function createFromQueryBuilder($target, $operator, $value)
49 {
50 @trigger_error('The ' . __METHOD__ . ' method is deprecated since version 7.2 and will be removed in 8.0.', E_USER_DEPRECATED);
51
52 return new self($operator, $value);
53 }
54 }
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location\Priority
A criterion that matches Location based on its priority.
Definition: API/Repository/Values/Content/Query/Criterion/Location/Priority.php:22
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location\Priority\getSpecifications
getSpecifications()
Criterion description function.
Definition: API/Repository/Values/Content/Query/Criterion/Location/Priority.php:34
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location\Priority\__construct
__construct($operator, $value)
Creates a new LocationPriority criterion.
Definition: API/Repository/Values/Content/Query/Criterion/Location/Priority.php:29
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location\Priority\createFromQueryBuilder
static createFromQueryBuilder($target, $operator, $value)
Definition: API/Repository/Values/Content/Query/Criterion/Location/Priority.php:48
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location
This is the base class for Location criterions.
Definition: API/Repository/Values/Content/Query/Criterion/Location.php:15
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications
This class is used by Criteria to describe which operators they support.
Definition: Specifications.php:15
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\FORMAT_ARRAY
const FORMAT_ARRAY
Definition: Specifications.php:20
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\TYPE_INTEGER
const TYPE_INTEGER
Criterion input value type description constants.
Definition: Specifications.php:26
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\FORMAT_SINGLE
const FORMAT_SINGLE
Criterion input type description constants.
Definition: Specifications.php:19
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\LT
const LT
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:19
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\LTE
const LTE
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:20
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\GT
const GT
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:17
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\BETWEEN
const BETWEEN
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:22
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\GTE
const GTE
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:18
eZ\Publish\API\Repository\Values\Content\Query\Criterion\$target
$target
Definition: API/Repository/Values/Content/Query/Criterion.php:35
eZ\Publish\API\Repository\Values\Content\Query\Criterion\$operator
$operator
Definition: API/Repository/Values/Content/Query/Criterion.php:21
eZ\Publish\API\Repository\Values\Content\Query\Criterion\$value
$value
Definition: API/Repository/Values/Content/Query/Criterion.php:28
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Location
Definition: API/Repository/Values/Content/Query/Criterion/Location/Depth.php:7
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator
Definition: Specifications.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.